Summary:        Mesa libGLU library
Name:           mesa-libGLU
Version: 9.0.3
Release: 4%{?dist}

License:        MIT
URL:            https://gitlab.freedesktop.org/mesa/glu
Source0:        https://gitlab.freedesktop.org/mesa/glu/-/archive/glu-%{version}/glu-glu-%{version}.tar.gz

BuildRequires:  make, gcc-c++, libtool, automake, autoconf
BuildRequires:  mesa-libGL-devel meson
Provides:       libGLU

%description
Mesa implementation of the standard GLU OpenGL utility API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gl-manpages
Provides:       libGLU-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n glu-glu-%{version}

%build
%meson -Dgl_provider=glvnd
%meson_build

%install
%meson_install
find $RPM_BUILD_ROOT -name '*.a' -delete



%files
%{_libdir}/libGLU.so.1
%{_libdir}/libGLU.so.1.3.*

%files devel
%{_includedir}/GL/glu*.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.3-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.3-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 cunshunxia <cunshunxia@tencent.com> - 9.0.3-1
- upgrade to 9.0.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.1-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 09 2022 Xiaojie Chen <jackxjchen@tencent.com> - 9.0.1-2
- Rebuild mesa-libGLU

* Mon Sep 19 2022 cunshunxia <cunshunxia@tencent.com> - 9.0.1-1
- initial build
